###  | #  |

Public Types | Public Member Functions | List of all members
channel_halves_t< Channel > Struct Template Reference

Arithmetic operation of dividing channel value by 2. More...

`#include <channel_numeric_operations.hpp>`

## Public Types
using | ChannelRef = typename channel_traits< Channel >::reference

## Public Member Functions
auto | operator() (ChannelRef channel) const -> ChannelRef

## Detailed Description

template<typename Channel>
struct boost::gil::channel_halves_t< Channel >

Arithmetic operation of dividing channel value by 2.

Note
  This is a generic implementation; user should specialize it for better performance.

The documentation for this struct was generated from the following file:

- channel_numeric_operations.hpp